PKCS8EncryptedPrivateKeyInfo (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pkcs

## Class PKCS8EncryptedPrivateKeyInfo

- java.lang.Object
- - org.bouncycastle.pkcs.PKCS8EncryptedPrivateKeyInfo

-     public class PKCS8EncryptedPrivateKeyInfo
      extends java.lang.Object

  Holding class for a PKCS#8 EncryptedPrivateKeyInfo structure.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKCS8EncryptedPrivateKeyInfo(byte[] encryptedPrivateKeyInfo)`
    `PKCS8EncryptedPrivateKeyInfo(org.bouncycastle.asn1.pkcs.EncryptedPrivateKeyInfo encryptedPrivateKeyInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.pkcs.PrivateKeyInfo` | `decryptPrivateKeyInfo(InputDecryptorProvider inputDecryptorProvider)`
    `byte[]` | `getEncoded()`
    `org.bouncycastle.asn1.pkcs.EncryptedPrivateKeyInfo` | `toASN1Structure()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKCS8EncryptedPrivateKeyInfo

          public PKCS8EncryptedPrivateKeyInfo(org.bouncycastle.asn1.pkcs.EncryptedPrivateKeyInfo encryptedPrivateKeyInfo)

    - #### PKCS8EncryptedPrivateKeyInfo

          public PKCS8EncryptedPrivateKeyInfo(byte[] encryptedPrivateKeyInfo)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### toASN1Structure

          public org.bouncycastle.asn1.pkcs.EncryptedPrivateKeyInfo toASN1Structure()

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decryptPrivateKeyInfo

          public org.bouncycastle.asn1.pkcs.PrivateKeyInfo decryptPrivateKeyInfo(InputDecryptorProvider inputDecryptorProvider)
                                                                          throws PKCSException

      Throws:
        `PKCSException`